Package io.vertx.mysqlclient

## Enum MySQLAuthenticationPlugin

- java.lang.Object
- - java.lang.Enum<MySQLAuthenticationPlugin>
  - - io.vertx.mysqlclient.MySQLAuthenticationPlugin

- All Implemented Interfaces:
    `Serializable`, `Comparable<MySQLAuthenticationPlugin>`

      public enum MySQLAuthenticationPlugin
      extends Enum<MySQLAuthenticationPlugin>

  MySQL authentication plugins which can be specified at the connection start, more information could be found in MySQL Reference Manual.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CACHING_SHA2_PASSWORD` | Like `sha256_password` but enables caching on the server side for better performance and with wider applicability.
    `DEFAULT` | Default authentication plugin, the client will firstly try to use the plugin name provided by the server.
    `MYSQL_CLEAR_PASSWORD` | Authentication plugin which enables the client to send password to the server as cleartext without encryption.
    `MYSQL_NATIVE_PASSWORD` | Authentication plugin which uses SHA-1 hash function to scramble the password and send it to the server.
    `SHA256_PASSWORD` | Authentication plugin which uses SHA-256 hash function to scramble the password and send it to the server.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `value` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MySQLAuthenticationPlugin` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static MySQLAuthenticationPlugin[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final MySQLAuthenticationPlugin DEFAULT

      Default authentication plugin, the client will firstly try to use the plugin name provided by the server.

    - #### MYSQL_CLEAR_PASSWORD

          public static final MySQLAuthenticationPlugin MYSQL_CLEAR_PASSWORD

      Authentication plugin which enables the client to send password to the server as cleartext without encryption.

    - #### MYSQL_NATIVE_PASSWORD

          public static final MySQLAuthenticationPlugin MYSQL_NATIVE_PASSWORD

      Authentication plugin which uses SHA-1 hash function to scramble the password and send it to the server.

    - #### SHA256_PASSWORD

          public static final MySQLAuthenticationPlugin SHA256_PASSWORD

      Authentication plugin which uses SHA-256 hash function to scramble the password and send it to the server.

    - #### CACHING_SHA2_PASSWORD

          public static final MySQLAuthenticationPlugin CACHING_SHA2_PASSWORD

      Like `sha256_password` but enables caching on the server side for better performance and with wider applicability.

  - ### Field Detail

    - #### value

          public final String value

  - ### Method Detail

    - #### values

          public static MySQLAuthenticationPlugin[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MySQLAuthenticationPlugin c : MySQLAuthenticationPlugin.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MySQLAuthenticationPlugin valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null